#! /bin/sh
#
###################################################
# Sample run script for running Specman Standalone
###################################################
#

if [ "$BRUN_RUN_MODE" = "" ]
    then
	echo vm_brun_run_script.sh: Error: BRUN_RUN_MODE not defined!
	exit 1
fi

if [ "$BRUN_LOCAL_ECOM" = "" ]
    then
	echo vm_brun_run_script.sh: Error: BRUN_LOCAL_ECOM not defined!
	exit 1
fi

if [ ! -f $BRUN_LOCAL_ECOM ]
    then
	echo vm_brun_run_script.sh: Error: ecom file $BRUN_LOCAL_ECOM does not exist!
	exit 1
fi

if [ "$BRUN_RUN_MODE" = "batch" ]
    then
	specman -c "@$BRUN_LOCAL_ECOM"
	exit 0;
elif [ "$BRUN_RUN_MODE" = "interactive" ]
    then
	specview -p "@$BRUN_LOCAL_ECOM"
	exit 0;
else
	echo BRUN_RUN_MODE $BRUN_RUN_MODE not supported by vm_brun_run_script!
	exit 1
fi

